GDB (xrefs)

Public Attributes | List of all members
thread_db_thread_info Struct Reference
Inheritance diagram for thread_db_thread_info:

## Public Attributes
bool | dying = false
td_thrhandle_t | th {}
thread_t | tid {}

## Additional Inherited Members
Public Member Functions inherited from private_thread_info
virtual | ~private_thread_info ()=0

## Detailed Description

Definition at line 254 of file linux-thread-db.c.

## Member Data Documentation

## ◆ dying

bool thread_db_thread_info::dying = false

Definition at line 257 of file linux-thread-db.c.

Referenced by thread_db_extra_thread_info(), and update_thread_state().

## ◆ th

td_thrhandle_t thread_db_thread_info::th {}

Definition at line 260 of file linux-thread-db.c.

Referenced by thread_db_get_thread_local_address().

## ◆ tid

thread_t thread_db_thread_info::tid {}

Definition at line 261 of file linux-thread-db.c.

Referenced by thread_db_pid_to_str().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/linux-thread-db.c